%define install_loc    %{_datadir}/eclipse/dropins/slice2java
%define date 20090330

# Following the GCJ guidelines
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Summary:        A plugin that integrates Eclipse with Ice object middleware
Name:           eclipse-slice2java
Version:        3.3.1
Release:        1%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.zeroc.com/eclipse.html
Source0:        http://www.zeroc.com/download/eclipse/Slice2JavaPlugin-%{version}.%{date}.tar.gz
# Adapted from the instructions at http://www.zeroc.com/eclipse.html
Source1:        eclipse-slice2java-README

BuildRequires: eclipse-pde >= 1:3.4.0
# BuildRequires: ice-java >= 3.3.1
%if %{with_gcj}
BuildRequires: java-devel-gcj
%endif

Requires: eclipse-platform >= 3.4.0
Requires: ice-java >= 3.3.1

# No Ice on this arch, so the plugin doesn't make sense
ExcludeArch:   ppc64

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The slice2java plugin manages the translation of Slice to Java.
The plugin computes dependencies between Slice files and automatically
recompiles Slice files when necessary. The plugin also manages
the generated code to eliminate obsolete files.

%prep
%setup -q -n Slice2JavaPlugin-%{version}.%{date}
cp %{SOURCE1} ./README

%build
%{_libdir}/eclipse/buildscripts/pdebuild -a "-DjavacSource=1.5 -DjavacTarget=1.5"

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}
%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/com.zeroc.Slice2Java.zip

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{install_loc}
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%changelog
* Wed Jul  8 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-1
- Initial package
